## com.icl.saxon.pattern
Class AnyNodeTest

    java.lang.Object
      com.icl.saxon.pattern.Pattern
          com.icl.saxon.pattern.NodeTest
              com.icl.saxon.pattern.AnyNodeTest

public final class AnyNodeTest
extends NodeTest

NodeTest is an interface that enables a test of whether a node has a particular name and type. An AnyNodeTest matches any node.

Field Summary

Fields inherited from class com.icl.saxon.pattern.Pattern
`originalText, staticContext`

Constructor Summary
`AnyNodeTest()`

Method Summary
`double` `getDefaultPriority()` Determine the default priority of this node test when used on its own as a Pattern
`static AnyNodeTest` `getInstance()` Get an instance of AnyNodeTest
`boolean` `matches(NodeInfo node)` Test whether this node test is satisfied by a given node
`boolean` `matches(short nodeType, int fingerprint)` Test whether this node test is satisfied by a given node

Methods inherited from class com.icl.saxon.pattern.NodeTest
`matches`

Methods inherited from class com.icl.saxon.pattern.Pattern
`getFingerprint, getLineNumber, getNodeType, getStaticContext, getSystemId, make, setOriginalText, setStaticContext, simplify, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnyNodeTest

    public AnyNodeTest()

Method Detail

### getInstance

    public static AnyNodeTest getInstance()

  Get an instance of AnyNodeTest

### matches

    public final boolean matches(NodeInfo node)

  Test whether this node test is satisfied by a given node

  Specified by:
    `matches` in class `NodeTest`

### matches

    public final boolean matches(short nodeType,
                                 int fingerprint)

  Test whether this node test is satisfied by a given node

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `nodeType` - The type of node to be matched
    `fingerprint` - identifies the expanded name of the node to be matched

### getDefaultPriority

    public final double getDefaultPriority()

  Determine the default priority of this node test when used on its own as a Pattern

  Overrides:
    `getDefaultPriority` in class `Pattern`